| Kea 3.0.2-git

nc_add.h File Reference

This file defines the class NameAddTransaction. More...

`#include <d2srv/nc_trans.h>`
`#include <dns/rdata.h>`
Include dependency graph for nc_add.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::d2::NameAddTransaction
| Embodies the "life-cycle" required to carry out a DDNS Add update. More...
class | isc::d2::NameAddTransactionError
| Thrown if the NameAddTransaction encounters a general error. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::d2

## Typedefs
typedef boost::shared_ptr< NameAddTransaction > | isc::d2::NameAddTransactionPtr
| Defines a pointer to a NameAddTransaction.

## Detailed Description

This file defines the class NameAddTransaction.

This file defines the class SimpleAddTransaction.

Definition in file nc_add.h.